## PlumaEncodingsComboBox PlumaEncodingsComboBox |

## Functions

GtkWidget * | pluma_encodings_combo_box_new ()
const PlumaEncoding * | pluma_encodings_combo_box_get_selected_encoding ()
void | pluma_encodings_combo_box_set_selected_encoding ()

## Properties

gboolean | save-mode | Read / Write / Construct

## Types and Values

| PlumaEncodingsComboBoxPrivate
struct | PlumaEncodingsComboBox

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkComboBox
                            ╰── PlumaEncodingsComboBox

## Implemented Interfaces

PlumaEncodingsComboBox implements AtkImplementorIface, GtkBuildable, GtkCellLayout and GtkCellEditable.

## Description

## Functions

### pluma_encodings_combo_box_new ()

    GtkWidget *
    pluma_encodings_combo_box_new (gboolean save_mode);

### pluma_encodings_combo_box_get_selected_encoding ()

    const PlumaEncoding *
    pluma_encodings_combo_box_get_selected_encoding
                                   (PlumaEncodingsComboBox *menu);

### pluma_encodings_combo_box_set_selected_encoding ()

    void
    pluma_encodings_combo_box_set_selected_encoding
                                   (PlumaEncodingsComboBox *menu,
                                    const PlumaEncoding *encoding);

#### Parameters

encoding | . | [allow-none]

## Types and Values

### PlumaEncodingsComboBoxPrivate

    typedef struct _PlumaEncodingsComboBoxPrivate PlumaEncodingsComboBoxPrivate;

### struct PlumaEncodingsComboBox

    struct PlumaEncodingsComboBox;

## Property Details

### The `“save-mode”` property

      “save-mode”                gboolean

Save Mode.

Flags: Read / Write / Construct

Default value: FALSE